aboutsummaryrefslogtreecommitdiffstats
path: root/testing/calibre/calibre.initd
diff options
context:
space:
mode:
authorFrancesco Colista <francesco.colista@gmail.com>2011-07-06 09:02:16 +0000
committerFrancesco Colista <francesco.colista@gmail.com>2011-07-06 09:02:16 +0000
commit789544646b092a583a1086f2959e94d5bc139513 (patch)
treed10531c05c9c785bc31927f15a006f4ad085f412 /testing/calibre/calibre.initd
parent350864fd24a20c1edb2b17240008d1ff20960ca7 (diff)
downloadaports-789544646b092a583a1086f2959e94d5bc139513.tar.gz
aports-789544646b092a583a1086f2959e94d5bc139513.tar.bz2
aports-789544646b092a583a1086f2959e94d5bc139513.tar.xz
testing/calibre: added initd and confd
Diffstat (limited to 'testing/calibre/calibre.initd')
-rw-r--r--testing/calibre/calibre.initd16
1 files changed, 16 insertions, 0 deletions
diff --git a/testing/calibre/calibre.initd b/testing/calibre/calibre.initd
new file mode 100644
index 0000000000..92986a9a7e
--- /dev/null
+++ b/testing/calibre/calibre.initd
@@ -0,0 +1,16 @@
+#!/sbin/runscript
+
+depend() {
+ need net
+ after firewall
+}
+start() {
+ ebegin "Starting Calibre Server"
+ start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON -- $DAEMON_ARGS
+ eend $?
+}
+
+stop() {
+ start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE
+ rm -f $PIDFILE
+}